Index: trunk/examples/extended/medical/fanoCavity2/include/DetectorConstruction.hh
===================================================================
--- trunk/examples/extended/medical/fanoCavity2/include/DetectorConstruction.hh	(revision 812)
+++ trunk/examples/extended/medical/fanoCavity2/include/DetectorConstruction.hh	(revision 1230)
@@ -25,5 +25,5 @@
 //
 // $Id: DetectorConstruction.hh,v 1.1 2007/10/15 16:20:23 maire Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/medical/fanoCavity2/include/DetectorMessenger.hh
===================================================================
--- trunk/examples/extended/medical/fanoCavity2/include/DetectorMessenger.hh	(revision 812)
+++ trunk/examples/extended/medical/fanoCavity2/include/DetectorMessenger.hh	(revision 1230)
@@ -25,5 +25,5 @@
 //
 // $Id: DetectorMessenger.hh,v 1.1 2007/10/15 16:20:23 maire Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/medical/fanoCavity2/include/EventAction.hh
===================================================================
--- trunk/examples/extended/medical/fanoCavity2/include/EventAction.hh	(revision 812)
+++ trunk/examples/extended/medical/fanoCavity2/include/EventAction.hh	(revision 1230)
@@ -25,5 +25,5 @@
 //
 // $Id: EventAction.hh,v 1.1 2007/10/15 16:20:23 maire Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/medical/fanoCavity2/include/EventActionMessenger.hh
===================================================================
--- trunk/examples/extended/medical/fanoCavity2/include/EventActionMessenger.hh	(revision 812)
+++ trunk/examples/extended/medical/fanoCavity2/include/EventActionMessenger.hh	(revision 1230)
@@ -25,5 +25,5 @@
 //
 // $Id: EventActionMessenger.hh,v 1.1 2007/10/15 16:20:23 maire Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/medical/fanoCavity2/include/HistoManager.hh
===================================================================
--- trunk/examples/extended/medical/fanoCavity2/include/HistoManager.hh	(revision 812)
+++ trunk/examples/extended/medical/fanoCavity2/include/HistoManager.hh	(revision 1230)
@@ -25,5 +25,5 @@
 //
 // $Id: HistoManager.hh,v 1.3 2007/11/12 18:19:30 maire Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/medical/fanoCavity2/include/HistoMessenger.hh
===================================================================
--- trunk/examples/extended/medical/fanoCavity2/include/HistoMessenger.hh	(revision 812)
+++ trunk/examples/extended/medical/fanoCavity2/include/HistoMessenger.hh	(revision 1230)
@@ -25,5 +25,5 @@
 //
 // $Id: HistoMessenger.hh,v 1.2 2007/11/12 18:19:30 maire Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/medical/fanoCavity2/include/MyMollerBhabhaModel.hh
===================================================================
--- trunk/examples/extended/medical/fanoCavity2/include/MyMollerBhabhaModel.hh	(revision 812)
+++ trunk/examples/extended/medical/fanoCavity2/include/MyMollerBhabhaModel.hh	(revision 1230)
@@ -25,5 +25,5 @@
 //
 // $Id: MyMollerBhabhaModel.hh,v 1.1 2007/10/15 16:20:23 maire Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo....
Index: trunk/examples/extended/medical/fanoCavity2/include/PhysicsList.hh
===================================================================
--- trunk/examples/extended/medical/fanoCavity2/include/PhysicsList.hh	(revision 812)
+++ trunk/examples/extended/medical/fanoCavity2/include/PhysicsList.hh	(revision 1230)
@@ -24,10 +24,7 @@
 // ********************************************************************
 //
+// $Id: PhysicsList.hh,v 1.2 2009/10/31 18:05:56 maire Exp $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
-// $Id: PhysicsList.hh,v 1.1 2007/10/15 16:20:23 maire Exp $
-// GEANT4 tag $Name:  $
-//
-// 
-
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
@@ -36,6 +33,8 @@
 #define PhysicsList_h 1
 
-#include "G4VUserPhysicsList.hh"
+#include "G4VModularPhysicsList.hh"
 #include "globals.hh"
+
+class G4VPhysicsConstructor;
 
 class DetectorConstruction;
@@ -44,28 +43,25 @@
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
 
-class PhysicsList: public G4VUserPhysicsList
+class PhysicsList: public G4VModularPhysicsList
 {
-  public:
-    PhysicsList(DetectorConstruction*);
-   ~PhysicsList();
+public:
+  PhysicsList(DetectorConstruction*);
+  virtual ~PhysicsList();
 
-    // Construct particle and physics
-    void ConstructParticle();
-    void ConstructProcess();
- 
-    void SetCuts();
+  void ConstructParticle();
+        
+  void AddPhysicsList(const G4String& name);    
+  void ConstructProcess();    
+  void AddStepMax(); 
+  
+  void SetCuts();      
     
-    // these methods Construct physics processes and register them
-    void ConstructEM();
-    void AddStepMax();
-    
-    void SingleCoulombScattering (G4bool);    
-    void RegisterBrem (G4bool);
-    
-  private:
-    DetectorConstruction*  detector;
-    G4bool                 singleScattering;        
-    G4bool                 registerBrem;    
-    PhysicsListMessenger*  pMessenger;    
+private:
+
+  DetectorConstruction* detector;
+  PhysicsListMessenger* pMessenger; 
+
+  G4String emName;
+  G4VPhysicsConstructor*  emPhysicsList;
 };
 
@@ -74,4 +70,2 @@
 #endif
 
-
-
Index: trunk/examples/extended/medical/fanoCavity2/include/PhysicsListMessenger.hh
===================================================================
--- trunk/examples/extended/medical/fanoCavity2/include/PhysicsListMessenger.hh	(revision 812)
+++ trunk/examples/extended/medical/fanoCavity2/include/PhysicsListMessenger.hh	(revision 1230)
@@ -24,6 +24,6 @@
 // ********************************************************************
 //
-// $Id: PhysicsListMessenger.hh,v 1.1 2007/10/15 16:20:23 maire Exp $
-// GEANT4 tag $Name:  $
+// $Id: PhysicsListMessenger.hh,v 1.2 2009/10/31 18:05:56 maire Exp $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
@@ -33,10 +33,11 @@
 #define PhysicsListMessenger_h 1
 
+#include "G4UImessenger.hh"
 #include "globals.hh"
-#include "G4UImessenger.hh"
 
 class PhysicsList;
 class G4UIdirectory;
-class G4UIcmdWithABool;
+class G4UIcmdWithADoubleAndUnit;
+class G4UIcmdWithAString;
 
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
@@ -44,5 +45,6 @@
 class PhysicsListMessenger: public G4UImessenger
 {
-  public:  
+  public:
+  
     PhysicsListMessenger(PhysicsList* );
    ~PhysicsListMessenger();
@@ -50,9 +52,10 @@
     void SetNewValue(G4UIcommand*, G4String);
     
-  private:  
-    PhysicsList*        pPhysicsList;   
-    G4UIdirectory*      physDir;        
-    G4UIcmdWithABool*   singleScat;      
-    G4UIcmdWithABool*   brem;    
+  private:
+  
+    PhysicsList*               pPhysicsList;
+    
+    G4UIdirectory*             physDir;
+    G4UIcmdWithAString*        pListCmd;
 };
 
Index: trunk/examples/extended/medical/fanoCavity2/include/PrimaryGeneratorAction.hh
===================================================================
--- trunk/examples/extended/medical/fanoCavity2/include/PrimaryGeneratorAction.hh	(revision 812)
+++ trunk/examples/extended/medical/fanoCavity2/include/PrimaryGeneratorAction.hh	(revision 1230)
@@ -25,5 +25,5 @@
 //
 // $Id: PrimaryGeneratorAction.hh,v 1.1 2007/10/15 16:20:23 maire Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/medical/fanoCavity2/include/ProcessesCount.hh
===================================================================
--- trunk/examples/extended/medical/fanoCavity2/include/ProcessesCount.hh	(revision 812)
+++ trunk/examples/extended/medical/fanoCavity2/include/ProcessesCount.hh	(revision 1230)
@@ -26,5 +26,5 @@
 //
 // $Id: ProcessesCount.hh,v 1.1 2007/10/15 16:20:23 maire Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/medical/fanoCavity2/include/RunAction.hh
===================================================================
--- trunk/examples/extended/medical/fanoCavity2/include/RunAction.hh	(revision 812)
+++ trunk/examples/extended/medical/fanoCavity2/include/RunAction.hh	(revision 1230)
@@ -25,5 +25,5 @@
 //
 // $Id: RunAction.hh,v 1.2 2007/10/31 16:16:20 maire Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/medical/fanoCavity2/include/StepMax.hh
===================================================================
--- trunk/examples/extended/medical/fanoCavity2/include/StepMax.hh	(revision 812)
+++ trunk/examples/extended/medical/fanoCavity2/include/StepMax.hh	(revision 1230)
@@ -25,5 +25,5 @@
 //
 // $Id: StepMax.hh,v 1.1 2007/10/15 16:20:23 maire Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/medical/fanoCavity2/include/StepMaxMessenger.hh
===================================================================
--- trunk/examples/extended/medical/fanoCavity2/include/StepMaxMessenger.hh	(revision 812)
+++ trunk/examples/extended/medical/fanoCavity2/include/StepMaxMessenger.hh	(revision 1230)
@@ -25,5 +25,5 @@
 //
 // $Id: StepMaxMessenger.hh,v 1.1 2007/10/15 16:20:23 maire Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/medical/fanoCavity2/include/SteppingAction.hh
===================================================================
--- trunk/examples/extended/medical/fanoCavity2/include/SteppingAction.hh	(revision 812)
+++ trunk/examples/extended/medical/fanoCavity2/include/SteppingAction.hh	(revision 1230)
@@ -25,5 +25,5 @@
 //
 // $Id: SteppingAction.hh,v 1.2 2007/10/31 16:16:20 maire Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/medical/fanoCavity2/include/SteppingVerbose.hh
===================================================================
--- trunk/examples/extended/medical/fanoCavity2/include/SteppingVerbose.hh	(revision 812)
+++ trunk/examples/extended/medical/fanoCavity2/include/SteppingVerbose.hh	(revision 1230)
@@ -25,5 +25,5 @@
 //
 // $Id: SteppingVerbose.hh,v 1.1 2007/10/15 16:20:23 maire Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/medical/fanoCavity2/include/TrackingAction.hh
===================================================================
--- trunk/examples/extended/medical/fanoCavity2/include/TrackingAction.hh	(revision 812)
+++ trunk/examples/extended/medical/fanoCavity2/include/TrackingAction.hh	(revision 1230)
@@ -25,5 +25,5 @@
 //
 // $Id: TrackingAction.hh,v 1.2 2007/10/31 16:16:20 maire Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
